CMD.JS(1)

NAME
cmd.js - Test-Anything-Protocol parser for Node.js

DESCRIPTION

  Usage:

    tap-parser <options>

Parses TAP data from stdin, and outputs the parsed result in the format specified by the options. Default output is uses node's `util.format()` method.

OPTIONS

-j [<indent>] | --json[=indent]

    Output event data as JSON with the specified indentation (default=2)

-t | --tap

    Output data as reconstituted TAP based on parsed results

-l | --lines

    Output each parsed line as it is recognized by the parser

-b | --bail

    Emit a `Bail out!` at the first failed test point encountered

-w | --ignore-all-whitespace

    Skip over blank lines outside of YAML blocks

-o | --omit-version

    Ignore the `TAP version 13` line at the start of tests